<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__capsense__ballistic__context__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_capsense_ballistic_context_t</compoundname>
    <includes local="no">cy_capsense_lib.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__capsense__ballistic__context__t_1a1bc85f04ebaefcabd217c5cd6edcd701" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_capsense_ballistic_context_t::currentTimestamp</definition>
        <argsstring />
        <name>currentTimestamp</name>
        <briefdescription>
<para>Current timestamp. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="197" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="197" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__ballistic__context__t_1a38d8589f93a3bc5fa8fb53e5076d6da6" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_capsense_ballistic_context_t::oldTimestamp</definition>
        <argsstring />
        <name>oldTimestamp</name>
        <briefdescription>
<para>Previous timestamp. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="198" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="198" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__ballistic__context__t_1a8fe77855d41716420ecb5b8a6a4726d5" kind="variable" mutable="no" prot="public" static="no">
        <type>int32_t</type>
        <definition>int32_t cy_stc_capsense_ballistic_context_t::deltaXfrac</definition>
        <argsstring />
        <name>deltaXfrac</name>
        <briefdescription>
<para>Fraction of X-axis displacement. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="199" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="199" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__ballistic__context__t_1ada5af6548b412a22be7317001ceafa1d" kind="variable" mutable="no" prot="public" static="no">
        <type>int32_t</type>
        <definition>int32_t cy_stc_capsense_ballistic_context_t::deltaYfrac</definition>
        <argsstring />
        <name>deltaYfrac</name>
        <briefdescription>
<para>Fraction of Y-axis displacement. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="200" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="200" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__ballistic__context__t_1ae07addb7a565119d5b2244a5bd64dde6" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_ballistic_context_t::x</definition>
        <argsstring />
        <name>x</name>
        <briefdescription>
<para>X-axis position. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="201" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="201" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__ballistic__context__t_1abadcc7e1af463b1668eb93183cb87252" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_ballistic_context_t::y</definition>
        <argsstring />
        <name>y</name>
        <briefdescription>
<para>Y-axis position. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="202" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="202" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__ballistic__context__t_1a8b2a6fe6bc8bf68463bf94a93c7e3a2b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_ballistic_context_t::touchNumber</definition>
        <argsstring />
        <name>touchNumber</name>
        <briefdescription>
<para>Current number of touches. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="203" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="203" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__ballistic__context__t_1a74a898f524e561622e4fb8d5b302fa77" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_ballistic_context_t::oldTouchNumber</definition>
        <argsstring />
        <name>oldTouchNumber</name>
        <briefdescription>
<para>Previous number of touches. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="204" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="204" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__ballistic__context__t_1aaf3e7d3b18b2ecf51031b644db4292a3" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_ballistic_context_t::reserved0</definition>
        <argsstring />
        <name>reserved0</name>
        <briefdescription>
<para>Reserved field. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="205" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="205" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__ballistic__context__t_1accd9ff41ad610ac269d04e3065af52c2" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_ballistic_context_t::reserved1</definition>
        <argsstring />
        <name>reserved1</name>
        <briefdescription>
<para>Reserved field. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="206" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="206" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Declares Ballistics Multiplier Configuration data structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="207" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="195" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="196" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__capsense__ballistic__context__t_1a1bc85f04ebaefcabd217c5cd6edcd701" virt="non-virtual"><scope>cy_stc_capsense_ballistic_context_t</scope><name>currentTimestamp</name></member>
      <member prot="public" refid="structcy__stc__capsense__ballistic__context__t_1a8fe77855d41716420ecb5b8a6a4726d5" virt="non-virtual"><scope>cy_stc_capsense_ballistic_context_t</scope><name>deltaXfrac</name></member>
      <member prot="public" refid="structcy__stc__capsense__ballistic__context__t_1ada5af6548b412a22be7317001ceafa1d" virt="non-virtual"><scope>cy_stc_capsense_ballistic_context_t</scope><name>deltaYfrac</name></member>
      <member prot="public" refid="structcy__stc__capsense__ballistic__context__t_1a38d8589f93a3bc5fa8fb53e5076d6da6" virt="non-virtual"><scope>cy_stc_capsense_ballistic_context_t</scope><name>oldTimestamp</name></member>
      <member prot="public" refid="structcy__stc__capsense__ballistic__context__t_1a74a898f524e561622e4fb8d5b302fa77" virt="non-virtual"><scope>cy_stc_capsense_ballistic_context_t</scope><name>oldTouchNumber</name></member>
      <member prot="public" refid="structcy__stc__capsense__ballistic__context__t_1aaf3e7d3b18b2ecf51031b644db4292a3" virt="non-virtual"><scope>cy_stc_capsense_ballistic_context_t</scope><name>reserved0</name></member>
      <member prot="public" refid="structcy__stc__capsense__ballistic__context__t_1accd9ff41ad610ac269d04e3065af52c2" virt="non-virtual"><scope>cy_stc_capsense_ballistic_context_t</scope><name>reserved1</name></member>
      <member prot="public" refid="structcy__stc__capsense__ballistic__context__t_1a8b2a6fe6bc8bf68463bf94a93c7e3a2b" virt="non-virtual"><scope>cy_stc_capsense_ballistic_context_t</scope><name>touchNumber</name></member>
      <member prot="public" refid="structcy__stc__capsense__ballistic__context__t_1ae07addb7a565119d5b2244a5bd64dde6" virt="non-virtual"><scope>cy_stc_capsense_ballistic_context_t</scope><name>x</name></member>
      <member prot="public" refid="structcy__stc__capsense__ballistic__context__t_1abadcc7e1af463b1668eb93183cb87252" virt="non-virtual"><scope>cy_stc_capsense_ballistic_context_t</scope><name>y</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>